Get By Store Override Distance Rate
1 min
GET
https://api.upstartcommerce.com/v1/dmcshippingcalc/by-store-distance-rate
Query Parameters
- storeIdstringExampleDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Responses
200
- ByStoreOverrideDistanceRate[]Description
- siteIdsstring[]required
- storeIdstringrequiredMin Length1
- distancenumber<double>requiredFormatdouble
- weightFactornumber<double>requiredFormatdouble
- basicRatenumber<double>Formatdouble
- premiumRatenumber<double>requiredFormatdouble
- lowerThresholdBoundnumber<double>Formatdouble
- upperThresholdBoundnumber<double>Formatdouble
- basicFreeLowerThresholdBoundnumber<double>Formatdouble
- lowerPriceBoundnumber<double>Formatdouble
- upperPriceBoundnumber<double>Formatdouble
- percentageOfSubtotalnumber<double>Formatdouble
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/dmcshippingcalc/by-store-distance-rate \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/dmcshippingcalc/by-store-distance-rate", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/dmcshippingcalc/by-store-distance-rate")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/dmcshippingcalc/by-store-distance-rate"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successfully retrieved the store override distance rate
[
{
"siteIds": [
""
],
"storeId": "",
"distance": "",
"weightFactor": "",
"basicRate": "",
"premiumRate": "",
"lowerThresholdBound": "",
"upperThresholdBound": "",
"basicFreeLowerThresholdBound": "",
"lowerPriceBound": "",
"upperPriceBound": "",
"percentageOfSubtotal": ""
}
]400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// Not Found